package pps.core.common.utils;

import cn.hutool.core.util.ObjectUtil;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Description:
 * date: 2021/3/31 16:15
 *
 * @author zhujiangwei
 */
public class JxlsUtils {

    public String dateFormat(Date date) {
        return this.dateFormat(date, "yyyy-MM-dd");
    }

    public String dateFormat(Date date, String pattern) {
        if (ObjectUtil.isNull(date)) {
            return "";
        }
        try {
            SimpleDateFormat dateFmt = new SimpleDateFormat(pattern);
            return dateFmt.format(date);
        } catch (Exception ignored) {
        }
        return "";
    }
}